L'accesso a questa pagina richiede l'autorizzazione. È possibile provare a modificare le directory.
Server Keys - Get
Servizio:
SQL Database
Versione API:
2025-01-01
Ottiene una chiave del server.
GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Sql/servers/{serverName}/keys/{keyName}?api-version=2025-01-01
Parametri dell'URI
Nome
In
Necessario
Tipo
Descrizione
keyName
path
True
string
Nome della chiave del server da recuperare.
resourceGroupName
path
True
string
minLength: 1 maxLength: 90
Nome del gruppo di risorse. Il nome è insensibile alle maiuscole e minuscole.
serverName
path
True
string
Il nome del server.
subscriptionId
path
True
string
(uuid)
ID della sottoscrizione di destinazione. Il valore deve essere un UUID.
GET https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/sqlcrudtest-7398/providers/Microsoft.Sql/servers/sqlcrudtest-4645/keys/someVault_someKey_01234567890123456789012345678901?api-version=2025-01-01
/**
* Samples for ServerKeys Get.
*/
public final class Main {
/*
* x-ms-original-file: 2025-01-01/ServerKeyGet.json
*/
/**
* Sample code: Get the server key.
*
* @param manager Entry point to SqlServerManager.
*/
public static void getTheServerKey(com.azure.resourcemanager.sql.SqlServerManager manager) {
manager.serviceClient().getServerKeys().getWithResponse("sqlcrudtest-7398", "sqlcrudtest-4645",
"someVault_someKey_01234567890123456789012345678901", com.azure.core.util.Context.NONE);
}
}
from azure.identity import DefaultAzureCredential
from azure.mgmt.sql import SqlManagementClient
"""
# PREREQUISITES
pip install azure-identity
pip install azure-mgmt-sql
# USAGE
python server_key_get.py
Before run the sample, please set the values of the client ID, tenant ID and client secret
of the AAD application as environment variables: AZURE_CLIENT_ID, AZURE_TENANT_ID,
AZURE_CLIENT_SECRET. For more info about how to get the value, please see:
https://docs.microsoft.com/azure/active-directory/develop/howto-create-service-principal-portal
"""
def main():
client = SqlManagementClient(
credential=DefaultAzureCredential(),
subscription_id="SUBSCRIPTION_ID",
)
response = client.server_keys.get(
resource_group_name="sqlcrudtest-7398",
server_name="sqlcrudtest-4645",
key_name="someVault_someKey_01234567890123456789012345678901",
)
print(response)
# x-ms-original-file: 2025-01-01/ServerKeyGet.json
if __name__ == "__main__":
main()
using Azure;
using Azure.ResourceManager;
using System;
using System.Threading.Tasks;
using Azure.Core;
using Azure.Identity;
using Azure.ResourceManager.Sql.Models;
using Azure.ResourceManager.Sql;
// Generated from example definition: specification/sql/resource-manager/Microsoft.Sql/SQL/stable/2025-01-01/examples/ServerKeyGet.json
// this example is just showing the usage of "ServerKeys_Get" operation, for the dependent resources, they will have to be created separately.
// get your azure access token, for more details of how Azure SDK get your access token, please refer to https://learn.microsoft.com/en-us/dotnet/azure/sdk/authentication?tabs=command-line
TokenCredential cred = new DefaultAzureCredential();
// authenticate your client
ArmClient client = new ArmClient(cred);
// this example assumes you already have this SqlServerResource created on azure
// for more information of creating SqlServerResource, please refer to the document of SqlServerResource
string subscriptionId = "00000000-1111-2222-3333-444444444444";
string resourceGroupName = "sqlcrudtest-7398";
string serverName = "sqlcrudtest-4645";
ResourceIdentifier sqlServerResourceId = SqlServerResource.CreateResourceIdentifier(subscriptionId, resourceGroupName, serverName);
SqlServerResource sqlServer = client.GetSqlServerResource(sqlServerResourceId);
// get the collection of this SqlServerKeyResource
SqlServerKeyCollection collection = sqlServer.GetSqlServerKeys();
// invoke the operation
string keyName = "someVault_someKey_01234567890123456789012345678901";
NullableResponse<SqlServerKeyResource> response = await collection.GetIfExistsAsync(keyName);
SqlServerKeyResource result = response.HasValue ? response.Value : null;
if (result == null)
{
Console.WriteLine("Succeeded with null as result");
}
else
{
// the variable result is a resource, you could call other operations on this instance as well
// but just for demo, we get its data from this resource instance
SqlServerKeyData resourceData = result.Data;
// for demo we just print out the id
Console.WriteLine($"Succeeded on id: {resourceData.Id}");
}
GET https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/sqlcrudtest-7398/providers/Microsoft.Sql/servers/sqlcrudtest-4645/keys/someVault_someKey?api-version=2025-01-01
/**
* Samples for ServerKeys Get.
*/
public final class Main {
/*
* x-ms-original-file: 2025-01-01/ServerKeyGetWithVersionlessKey.json
*/
/**
* Sample code: Get the server key with versionless key.
*
* @param manager Entry point to SqlServerManager.
*/
public static void getTheServerKeyWithVersionlessKey(com.azure.resourcemanager.sql.SqlServerManager manager) {
manager.serviceClient().getServerKeys().getWithResponse("sqlcrudtest-7398", "sqlcrudtest-4645",
"someVault_someKey", com.azure.core.util.Context.NONE);
}
}
from azure.identity import DefaultAzureCredential
from azure.mgmt.sql import SqlManagementClient
"""
# PREREQUISITES
pip install azure-identity
pip install azure-mgmt-sql
# USAGE
python server_key_get_with_versionless_key.py
Before run the sample, please set the values of the client ID, tenant ID and client secret
of the AAD application as environment variables: AZURE_CLIENT_ID, AZURE_TENANT_ID,
AZURE_CLIENT_SECRET. For more info about how to get the value, please see:
https://docs.microsoft.com/azure/active-directory/develop/howto-create-service-principal-portal
"""
def main():
client = SqlManagementClient(
credential=DefaultAzureCredential(),
subscription_id="SUBSCRIPTION_ID",
)
response = client.server_keys.get(
resource_group_name="sqlcrudtest-7398",
server_name="sqlcrudtest-4645",
key_name="someVault_someKey",
)
print(response)
# x-ms-original-file: 2025-01-01/ServerKeyGetWithVersionlessKey.json
if __name__ == "__main__":
main()
using Azure;
using Azure.ResourceManager;
using System;
using System.Threading.Tasks;
using Azure.Core;
using Azure.Identity;
using Azure.ResourceManager.Sql.Models;
using Azure.ResourceManager.Sql;
// Generated from example definition: specification/sql/resource-manager/Microsoft.Sql/SQL/stable/2025-01-01/examples/ServerKeyGetWithVersionlessKey.json
// this example is just showing the usage of "ServerKeys_Get" operation, for the dependent resources, they will have to be created separately.
// get your azure access token, for more details of how Azure SDK get your access token, please refer to https://learn.microsoft.com/en-us/dotnet/azure/sdk/authentication?tabs=command-line
TokenCredential cred = new DefaultAzureCredential();
// authenticate your client
ArmClient client = new ArmClient(cred);
// this example assumes you already have this SqlServerResource created on azure
// for more information of creating SqlServerResource, please refer to the document of SqlServerResource
string subscriptionId = "00000000-1111-2222-3333-444444444444";
string resourceGroupName = "sqlcrudtest-7398";
string serverName = "sqlcrudtest-4645";
ResourceIdentifier sqlServerResourceId = SqlServerResource.CreateResourceIdentifier(subscriptionId, resourceGroupName, serverName);
SqlServerResource sqlServer = client.GetSqlServerResource(sqlServerResourceId);
// get the collection of this SqlServerKeyResource
SqlServerKeyCollection collection = sqlServer.GetSqlServerKeys();
// invoke the operation
string keyName = "someVault_someKey";
NullableResponse<SqlServerKeyResource> response = await collection.GetIfExistsAsync(keyName);
SqlServerKeyResource result = response.HasValue ? response.Value : null;
if (result == null)
{
Console.WriteLine("Succeeded with null as result");
}
else
{
// the variable result is a resource, you could call other operations on this instance as well
// but just for demo, we get its data from this resource instance
SqlServerKeyData resourceData = result.Data;
// for demo we just print out the id
Console.WriteLine($"Succeeded on id: {resourceData.Id}");
}
ID risorsa completo per la risorsa. Ad esempio, "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}"
kind
string
Tipo di protezione della crittografia. Questi sono metadati utilizzati per l'esperienza del portale Azure.
location
string
Percorso della risorsa.
name
string
Nome della risorsa
properties.autoRotationEnabled
boolean
Flag di consenso esplicito per la rotazione automatica delle chiavi. True o false.
Tipo di chiave del server, ad esempio "ServiceManaged", "AzureKeyVault".
properties.subregion
string
Sottoarea della chiave del server.
properties.thumbprint
string
Identificazione personale della chiave del server.
properties.uri
string
URI della chiave del server. Se ServerKeyType è AzureKeyVault, è necessario l'URI. L'UI AKV deve essere in questo formato: 'https://YourVaultName.vault.azure.net/keys/YourKeyName/YourKeyVersion' o può essere 'https://YourVaultName.vault.azure.net/keys/YourKeyName'